org.gjt.sp.jedit

## Class OperatingSystem

- java.lang.Object
- - org.gjt.sp.jedit.OperatingSystem

-     public class OperatingSystem
      extends java.lang.Object

  Operating system detection routines.
  Since:
    jEdit 4.0pre4

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OperatingSystem()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.awt.Rectangle` | `getScreenBounds()` Returns the bounds of the default screen.
    `static java.awt.Rectangle` | `getScreenBounds(java.awt.Rectangle window)` Returns the bounds of the (virtual) screen that the window should be in
    `static boolean` | `hasJava16()` Deprecated. obsolete, since we depend on Java 1.6 now
    `static boolean` | `hasJava17()` Returns if Java 2 version 1.7 is in use.
    `static boolean` | `hasScreenMenuBar()` Returns whether the screen menu bar on Mac OS X is in use.
    `static boolean` | `isCaseInsensitiveFS()`
    `static boolean` | `isDOSDerived()` Deprecated. use `isWindows()`
    `static boolean` | `isMacOS()` Returns if we're running MacOS X.
    `static boolean` | `isMacOSLF()` Returns if we're running MacOS X and using the native look and feel.
    `static boolean` | `isOS2()` Returns if we're running OS/2.
    `static boolean` | `isUnix()` Returns if we're running Unix (this includes MacOS X).
    `static boolean` | `isVMS()` Returns if we're running VMS.
    `static boolean` | `isWindows()` Returns if we're running Windows 95/98/ME/NT/2000/XP/Vista/Win7.
    `static boolean` | `isWindows9x()` Returns if we're running Windows 95/98/ME.
    `static boolean` | `isWindowsNT()` Returns if we're running Windows NT/2000/XP/Vista/Win7.
    `static boolean` | `isX11()` Returns if this OS is likely to be using X11 as the graphics system.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OperatingSystem

          public OperatingSystem()

  - ### Method Detail

    - #### getScreenBounds

          public static java.awt.Rectangle getScreenBounds()

      Returns the bounds of the default screen.

    - #### getScreenBounds

          public static java.awt.Rectangle getScreenBounds(java.awt.Rectangle window)

      Returns the bounds of the (virtual) screen that the window should be in
      Parameters:
        `window` - The bounds of the window to get the screen for

    - #### isDOSDerived

          @Deprecated
          public static boolean isDOSDerived()

      Deprecated. use `isWindows()`
      Returns if we're running Windows 95/98/ME/NT/2000/XP/Vista/Win7, or OS/2.

    - #### isWindows

          public static boolean isWindows()

      Returns if we're running Windows 95/98/ME/NT/2000/XP/Vista/Win7.

    - #### isWindows9x

          public static boolean isWindows9x()

      Returns if we're running Windows 95/98/ME.

    - #### isWindowsNT

          public static boolean isWindowsNT()

      Returns if we're running Windows NT/2000/XP/Vista/Win7.

    - #### isOS2

          public static boolean isOS2()

      Returns if we're running OS/2.

    - #### isUnix

          public static boolean isUnix()

      Returns if we're running Unix (this includes MacOS X).

    - #### isMacOS

          public static boolean isMacOS()

      Returns if we're running MacOS X.

    - #### isX11

          public static boolean isX11()

      Returns if this OS is likely to be using X11 as the graphics system.
      Since:
        jEdit 4.2pre3

    - #### isVMS

          public static boolean isVMS()

      Returns if we're running VMS.

    - #### isMacOSLF

          public static boolean isMacOSLF()

      Returns if we're running MacOS X and using the native look and feel.

    - #### hasScreenMenuBar

          public static boolean hasScreenMenuBar()

      Returns whether the screen menu bar on Mac OS X is in use.
      Since:
        jEdit 4.2pre1

    - #### hasJava16

          @Deprecated
          public static boolean hasJava16()

      Deprecated. obsolete, since we depend on Java 1.6 now
      Returns true always
      Since:
        jEdit 4.3pre17

    - #### hasJava17

          public static boolean hasJava17()

      Returns if Java 2 version 1.7 is in use.
      Since:
        jEdit 5.0pre1

    - #### isCaseInsensitiveFS

          public static boolean isCaseInsensitiveFS()

      Since:
        jEdit 4.3pre2